### Hierarchy

- WhereOp
  - WhereAnd

## Index

### Constructors

- constructor

### Methods

- evaluate

## Constructors

### constructor

- new WhereAnd(conditions: AndConditions): WhereAnd

- - Defined in clauses/where-operators.ts:37

  #### Parameters

  - ##### conditions: AndConditions

  #### Returns WhereAnd

## Methods

### evaluate

- evaluate(params: ParameterBag, precedence?: Precedence, name?: string): string

- Overrides WhereOp.evaluate

  - Defined in clauses/where-operators.ts:42

  #### Parameters

  - ##### params: ParameterBag

  - ##### Default value precedence: Precedence = Precedence.None

  - ##### Default value name: string = ""

  #### Returns string

Generated using TypeDoc